import { jsx } from "react/jsx-runtime";
import { Lamp as Lamp$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Lamp = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Lamp", ...props, children: /* @__PURE__ */ jsx(Lamp$1, { weight: variant }) });
  }
);
Lamp.displayName = "Lamp";
Object.assign(Lamp, { isGdsIcon: true });
export {
  Lamp
};
